net.sf.jasperreports.web.servlets

## Class ReportServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - net.sf.jasperreports.web.servlets.AbstractServlet
      - - net.sf.jasperreports.web.servlets.ReportServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

  Deprecated.
  Replaced by `ReportOutputServlet`.

      public class ReportServlet
      extends AbstractServlet

  Version:
    $Id: ReportServlet.java 6396 2013-08-21 10:06:26Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.web.servlets.AbstractServlet

      `HTML_ACCEPT_HEADER, HTML_CONTENT_TYPE, JSON_ACCEPT_HEADER, JSON_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportServlet()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getBetweenPages(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext)` Deprecated.
    `protected java.lang.String` | `getFooter(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext, boolean hasPages, ReportPageStatus pageStatus)` Deprecated.
    `protected java.lang.String` | `getHeader(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext, boolean hasPages, ReportPageStatus pageStatus)` Deprecated.
    `protected void` | `handleReportUpdateError(javax.servlet.http.HttpServletResponse response, ReportExecutionStatus reportStatus)` Deprecated.
    `protected void` | `pageUpdate(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, WebReportContext webReportContext)` Deprecated.
    `protected void` | `putReportStatusResult(javax.servlet.http.HttpServletResponse response, JasperPrintAccessor printAccessor, java.util.LinkedHashMap<java.lang.String,java.lang.Object> result)` Deprecated.
    `void` | `render(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext, java.io.PrintWriter writer)` Deprecated.
    `void` | `runReport(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext)` Deprecated.
    `void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.web.servlets.AbstractServlet

      `getJasperReportsContext, setJasperReportsContext, setNoExpire`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportServlet

          public ReportServlet()

      Deprecated.

  - ### Method Detail

    - #### service

          public void service(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException,
                              javax.servlet.ServletException

      Deprecated.
      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### runReport

          public void runReport(javax.servlet.http.HttpServletRequest request,
                       WebReportContext webReportContext)
                         throws JRException,
                                JRInteractiveException

      Deprecated.
      Throws:
        `JRInteractiveException`
        `JRException`

    - #### render

          public void render(javax.servlet.http.HttpServletRequest request,
                    WebReportContext webReportContext,
                    java.io.PrintWriter writer)
                      throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### getHeader

          protected java.lang.String getHeader(javax.servlet.http.HttpServletRequest request,
                                   WebReportContext webReportContext,
                                   boolean hasPages,
                                   ReportPageStatus pageStatus)

      Deprecated.

    - #### getBetweenPages

          protected java.lang.String getBetweenPages(javax.servlet.http.HttpServletRequest request,
                                         WebReportContext webReportContext)

      Deprecated.

    - #### getFooter

          protected java.lang.String getFooter(javax.servlet.http.HttpServletRequest request,
                                   WebReportContext webReportContext,
                                   boolean hasPages,
                                   ReportPageStatus pageStatus)

      Deprecated.

    - #### pageUpdate

          protected void pageUpdate(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        WebReportContext webReportContext)
                             throws JRException,
                                    java.io.IOException

      Deprecated.
      Throws:
        `JRException`
        `java.io.IOException`

    - #### putReportStatusResult

          protected void putReportStatusResult(javax.servlet.http.HttpServletResponse response,
                                   JasperPrintAccessor printAccessor,
                                   java.util.LinkedHashMap<java.lang.String,java.lang.Object> result)
                                        throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### handleReportUpdateError

          protected void handleReportUpdateError(javax.servlet.http.HttpServletResponse response,
                                     ReportExecutionStatus reportStatus)
                                          throws JRException

      Deprecated.
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com